function [cff]= poly2coeff(G17,G18)
%
% Obtaining the coefficients of the 7-th order polynomial in the algorithm
%
% Reference: K. C. Ho and Y. T. Chan, Geolocation of a known altitude object from
%  TDOA and FDOA measurements," IEEE Trans. Aerosp. Electon. Eng., vol. 33, no. 3,
%  pp. 770-783, Jul. 1997.
%
% Tianyi Jia, K. C. Ho    02-28-2019
%
%       Copyright (C) 2019
%       Computational Intelligence Signal Processing Laboratory
%       University of Missouri
%       Columbia, MO 65211, USA.
%       hod@missouri.edu
%

N=length(G17);
cff0=zeros(1,2*N);

for i=1:N,
    for j=1:N,
        cff0(i+j-1)=cff0(i+j-1)+G18(i,j);
        cff0(i+j)=cff0(i+j)+G17(i,j);
    end
end

cff=cff0(1:8);
cff=fliplr(cff);